PKGFILED(1)

NAME
pkgfiled - automatically syncs pacman .files DBs to the pkgfile cache

SYNOPSIS
Usage: pkgfiled [options] pacman_dbpath pkgfile_cache

DESCRIPTION
pkgfiled is a tiny daemon which watches for changes to pacman(8)'s .files databases and repackages these for consumption by pkgfile. This allows data to remain in sync between pacman and pkgfile.

Invoking pkgfiled requires two arguments -- a source directory to read pacman database files from (typically under /var/lib/pacman/sync), and a destination directory which pkgfile will read from (typically /var/cache/pkgfile). A systemd unit facilitates management of the daemon.

pkgfiled reads the set of enabled repositories from pacman's configuration file (see --config) and only repackages databases for those repositories; databases for repositories which are not enabled are ignored.

Upon starting, pkgfiled will compare the contents of the pacman database with the pkgfile cache and catch up with anything out of sync. After this, it will only wake up when changes occur to the pacman database.

pkgfiled also watches the pacman configuration file. When it changes, pkgfiled re-reads the enabled repositories, removes cached databases for repositories which are no longer enabled, and syncs databases for newly enabled repositories.

OPTIONS

-C, --config FILE
    Read enabled repositories from the pacman configuration file FILE rather than the default of /etc/pacman.conf.

-f, --force
    On the initial sync, ignore timestamp comparisons and rewrite all found databases.

-o, --oneshot
    Exit after pkgfiled's initial sync, rather than continuing to listen for changes.

-h, --help
    Print help and exit.

-V, --version
    Print the version and exit.

SIGNALS

SIGINT, SIGTERM
    When run interactively, pkgfiled will gracefully shutdown on receipt of SIGINT. Otherwise, SIGTERM is used to indicate a graceful shutdown.

SIGUSR1, SIGUSR2
    Upon receipt of these signals, pkgfiled will rescan the pacman database directory for changes and update as needed. Unlike SIGUSR1, SIGUSR2 will ignore timestamps checks and rewrite all found database.

SEE ALSO
pkgfile(8)

AUTHOR
Dave Reisner <d@falconindy.com<gt>